apiVersion: v1
kind: Service
metadata:
  name: regionclearcopy
  namespace: edoc2
  labels:
    app: regionclearcopy
spec:
  ports:
  - name: regionclearcopy
    port: 6680
    targetPort: 6680
    protocol: TCP
  selector:
    app: regionclearcopy
  type: ClusterIP
---
apiVersion: apps/v1
kind: Deployment
metadata:
  name: regionclearcopy
  namespace: edoc2
  labels:
    app: regionclearcopy
    k8s-app: regionclearcopy
spec:
  replicas: 1
  selector:
    matchLabels:
      app: regionclearcopy
  template:
    metadata:
      labels:
        app: regionclearcopy
    spec:
      hostname: regionclearcopy
      terminationGracePeriodSeconds: 30
      containers:
      - name: regionclearcopy-container
        image: registry.edoc2.com:5000/edoc2v5/regionclearcopy:ecm-v6.6.2.0
        imagePullPolicy: IfNotPresent
        ports:
        - name: rccport
          containerPort: 6680
        envFrom:
        - configMapRef:
            name: mid-envfile
        - configMapRef:
            name: ecm-envfile
        # resources:
          # requests:
            # cpu: 800m
            # memory: 1.5Gi
          # limits:
            # cpu: 900m
            # memory: 1.6Gi
        securityContext:
          capabilities:
            add: ["SYS_PTRACE"]
      restartPolicy: Always
      nodeSelector:
        "node.drive.nodelabels": InDrive
